commit dec3bbbfb7a1379fbada5fb828f4b87b143a0bf4
parent 9fa53a7d0c49d82fed6cf5683d99667f2e606207
Author: Christophe Coustet <christophe.coustet@meso-star.com>
Date: Wed, 26 Aug 2026 15:51:39 +0200
Add the build script for solstice 0.11
Diffstat:
4 files changed, 166 insertions(+), 0 deletions(-)
diff --git a/src/rad-apps/solstice_0.11.sh b/src/rad-apps/solstice_0.11.sh
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+# Copyright (C) 2023-2026 |Méso|Star> (contact@meso-star.com)
+#
+# This file is part of Star-Build.
+#
+# Star-Build is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# Star-Build is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Star-Build. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+. "misc/build.sh"
+
+. "sys-libs/rsys_0.15.sh"
+. "cad-libs/star-3dut_0.4.sh"
+. "sci-libs/star-sp_0.15.sh"
+. "cad-libs/star-stl_0.7.sh"
+. "rad-libs/ssolver_0.11.sh"
+. "rad-libs/sanim_0.4.sh"
+. "sci-apps/solpp_0.5.sh"
+
+name="solstice"
+tag="0.11"
+
+if [ -n "${SOLSTICE_SH}" ]; then
+ check_conflict "${name}" "${tag}" "${SOLSTICE_SH}"
+else
+ export SOLSTICE_SH="${tag}"
+
+ url="$\(REPO\)/solstice.git"
+ dep="rsys star-3dut star-sp star-stl ssol sanim"
+ opt="${opt} BUILD_TYPE=$\(BUILD_TYPE\) LIB_TYPE=$\(LIB_TYPE\)"
+ git_repo
+
+ profile profile
+fi
diff --git a/src/rad-libs/sanim_0.4.sh b/src/rad-libs/sanim_0.4.sh
@@ -0,0 +1,39 @@
+#!/bin/sh
+
+# Copyright (C) 2018-2026 |Méso|Star> (contact@meso-star.com)
+#
+# This file is part of Star-Build.
+# Copyright (C) 2016, 2017 CNRS.
+#
+# Star-Build is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# Star-Build is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Star-Build. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+. "misc/build.sh"
+
+. "sys-libs/rsys_0.15.sh"
+
+name="sanim"
+tag="0.4"
+
+if [ -n "${SANIM_SH}" ]; then
+ check_conflict "${name}" "${tag}" "${SANIM_SH}"
+else
+ export HTMIE_SH="${tag}"
+
+ url="$\(REPO\)/solstice-anim.git"
+ dep="rsys"
+ opt="BUILD_TYPE=$\(BUILD_TYPE\) LIB_TYPE=$\(LIB_TYPE\)"
+ git_repo
+fi
diff --git a/src/rad-libs/ssolver_0.11.sh b/src/rad-libs/ssolver_0.11.sh
@@ -0,0 +1,45 @@
+#!/bin/sh
+
+# Copyright (C) 2018-2026 |Méso|Star> (contact@meso-star.com)
+#
+# This file is part of Star-Build.
+# Copyright (C) 2016, 2017 CNRS.
+#
+# Star-Build is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# Star-Build is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Star-Build. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+. "misc/build.sh"
+
+. "sys-libs/rsys_0.15.sh"
+. "sci-libs/star-3d_0.10.1.sh"
+. "cad-libs/star-3dut_0.4.sh"
+. "cad-libs/star-cpr_0.5.sh"
+. "rad-libs/star-sf_0.10.sh"
+. "sci-libs/star-sp_0.15.sh"
+. "sci-libs/star-cem_0.1.sh"
+
+name="ssol"
+tag="0.11"
+
+if [ -n "${SSOLVER_SH}" ]; then
+ check_conflict "${name}" "${tag}" "${SSOLVER_SH}"
+else
+ export HTMIE_SH="${tag}"
+
+ url="$\(REPO\)/solstice-solver.git"
+ dep="rsys star-3d star-3dut star-cpr star-cpr star-sf star-sp"
+ opt="BUILD_TYPE=$\(BUILD_TYPE\) LIB_TYPE=$\(LIB_TYPE\)"
+ git_repo
+fi
diff --git a/src/sci-apps/solpp_0.5.sh b/src/sci-apps/solpp_0.5.sh
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+# Copyright (C) 2023-2026 |Méso|Star> (contact@meso-star.com)
+#
+# This file is part of Star-Build.
+#
+# Star-Build is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# Star-Build is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Star-Build. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+. "misc/build.sh"
+
+name="solstice-pp"
+tag="0.5"
+
+if [ -n "${SOLSTICE_PP_SH}" ]; then
+ check_conflict "${name}" "${tag}" "${SOLSTICE_PP_SH}"
+else
+ export SOLSTICE_PP_SH="${tag}"
+
+ url="$\(REPO\)/solstice-pp.git"
+ dep=""
+ opt="BUILD_TYPE=$\(BUILD_TYPE\)"
+ git_repo
+fi